Index: osdep/gx_supp.h
===================================================================
--- osdep/gx_supp.h	(revision 0)
+++ osdep/gx_supp.h	(revision 0)
@@ -0,0 +1,48 @@
+/****************************************************************************
+*   gx_supp.h - Generic GX Scaler 
+*   softdev 2007
+*   dhewg 2008
+*   sepp256 2008 - Coded YUV->RGB conversion in TEV.
+*
+*   This program is free software; you can redistribute it and/or modify
+*   it under the terms of the GNU General Public License as published by
+*   the Free Software Foundation; either version 2 of the License, or
+*   (at your option) any later version.
+*
+*   This program is distributed in the hope that it will be useful,
+*   but WITHOUT ANY WARRANTY; without even the implied warranty of
+*   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+*   GNU General Public License for more details.
+*
+*   You should have received a copy of the GNU General Public License along
+*   with this program; if not, write to the Free Software Foundation, Inc.,
+*   51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
+*
+* NGC GX Video Functions
+*
+* These are pretty standard functions to setup and use GX scaling.
+****************************************************************************/
+#ifndef _WII_GX_SUPP_H_
+#define _WII_GX_SUPP_H_
+
+#include <gccore.h>
+
+#ifdef __cplusplus
+extern "C" {
+#endif
+
+extern GXRModeObj *vmode;
+
+void GX_InitVideo();
+void GX_SetCamPosZ(float f);
+
+void GX_Start(u16 width, u16 height, s16 haspect, s16 vaspect);
+void GX_Render(u16 width, u16 height, u8 *buffer, u16 pitch);
+void GX_StartYUV(u16 width, u16 height, s16 haspect, s16 vaspect);
+void GX_RenderYUV(u16 width, u16 height, u8 *buffer[3], u16 pitch[3]);
+
+#ifdef __cplusplus
+}
+#endif
+
+#endif
Index: libmenu/menu_param.c
===================================================================
--- libmenu/menu_param.c	(revision 27458)
+++ libmenu/menu_param.c	(working copy)
@@ -3,7 +3,9 @@
 
 #include <stdlib.h>
 #include <stdio.h>
+#ifndef GEKKO
 #include <dirent.h>
+#endif
 #include <errno.h>
 #include <string.h>
 #include <sys/types.h>
Index: libmenu/menu_console.c
===================================================================
--- libmenu/menu_console.c	(revision 27458)
+++ libmenu/menu_console.c	(working copy)
@@ -222,7 +222,7 @@
 }
 
 static void check_child(menu_t* menu) {
-#ifndef __MINGW32__
+#if !defined (__MINGW32__) && !defined (GEKKO)
   fd_set rfd;
   struct timeval tv;
   int max_fd = mpriv->child_fd[2] > mpriv->child_fd[1] ? mpriv->child_fd[2] :
@@ -276,7 +276,7 @@
 #define close_pipe(pipe) close(pipe[0]); close(pipe[1])
 
 static int run_shell_cmd(menu_t* menu, char* cmd) {
-#ifndef __MINGW32__
+#if !defined (__MINGW32__) && !defined (GEKKO)
   int in[2],out[2],err[2];
 
   mp_msg(MSGT_GLOBAL,MSGL_INFO,MSGTR_LIBMENU_ConsoleRun,cmd);
Index: libmenu/menu_filesel.c
===================================================================
--- libmenu/menu_filesel.c	(revision 27458)
+++ libmenu/menu_filesel.c	(working copy)
@@ -1,7 +1,9 @@
 
 #include <stdlib.h>
 #include <stdio.h>
+#ifndef GEKKO
 #include <dirent.h>
+#endif
 #include <errno.h>
 #include <string.h>
 #include <sys/types.h>
@@ -451,6 +453,7 @@
 #endif
       path = wd;
   }
+#ifndef GEKKO
   if (path[0] != '/') {
     if(path[strlen(path)-1] != '/')
       snprintf(b,sizeof(b),"%s/%s/",wd,path);
@@ -474,6 +477,12 @@
       }
     }
   }
+#else
+  if (path[strlen(path)-1]!='/') {
+    sprintf(b,"%s/",path);
+    path = b;
+  }
+#endif
   r = open_dir(menu,path);
 
   return r;
Index: subreader.c
===================================================================
--- subreader.c	(revision 27458)
+++ subreader.c	(working copy)
@@ -13,9 +13,12 @@
 #include <ctype.h>
 
 #include <sys/types.h>
+#include "config.h"
+
+#ifndef GEKKO
 #include <dirent.h>
+#endif
 
-#include "config.h"
 #include "mp_msg.h"
 #include "subreader.h"
 #include "stream/stream.h"
Index: command.c
===================================================================
--- command.c	(revision 27458)
+++ command.c	(working copy)
@@ -3101,7 +3101,7 @@
 	    break;
 
 	case MP_CMD_RUN:
-#ifndef __MINGW32__
+#if !defined(__MINGW32__) && !defined(GEKKO)
 	    if (!fork()) {
 		execl("/bin/sh", "sh", "-c", cmd->args[0].v.s, NULL);
 		exit(0);
Index: mp_msg.c
===================================================================
--- mp_msg.c	(revision 27458)
+++ mp_msg.c	(working copy)
@@ -21,6 +21,10 @@
 #endif
 #include "mp_msg.h"
 
+#ifdef GEKKO
+#include "osdep/log_console.h"
+#endif
+
 /* maximum message length of mp_msg */
 #define MSGSIZE_MAX 3072
 
@@ -219,7 +223,18 @@
         print_msg_module(stream, mod);
     set_msg_color(stream, lev);
     header = tmp[strlen(tmp)-1] == '\n' || tmp[strlen(tmp)-1] == '\r';
+
+#ifdef GEKKO
+	if (mod == MSGT_STATUSLINE)
+		log_console_enable_log(false);
+#endif
  
     fprintf(stream, "%s", tmp);
     fflush(stream);
+
+#ifdef GEKKO
+	if (mod == MSGT_STATUSLINE)
+		log_console_enable_log(true);
+#endif
+ 
 }
Index: libavutil/internal.h
===================================================================
--- libavutil/internal.h	(revision 14717)
+++ libavutil/internal.h	(working copy)
@@ -272,10 +272,15 @@
 }
 
 #ifndef HAVE_LLRINT
+#ifndef GEKKO
 static av_always_inline av_const long long llrint(double x)
 {
     return rint(x);
 }
+#else
+// WTFBBQ broken libc, eh?
+#define llrint(x) rint(x)
+#endif
 #endif /* HAVE_LLRINT */
 
 #ifndef HAVE_LRINT
Index: libavformat/img2.c
===================================================================
--- libavformat/img2.c	(revision 14717)
+++ libavformat/img2.c	(working copy)
@@ -22,7 +22,10 @@
 
 #include "libavutil/avstring.h"
 #include "avformat.h"
+
+#ifndef GEKKO
 #include <strings.h>
+#endif
 
 typedef struct {
     int img_first;
